X2Go Bug report logs - #891
Sessions started with windows x2goclient can not be resumed with linux client

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>

Date: Mon, 22 Jun 2015 14:20:02 UTC

Severity: normal

Tags: pending

Merged with 696, 896

Found in versions 4.0.4.0, 4.0.3.1-1

Fixed in version 4.0.4.1

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#891; Package nx-libs. (Mon, 22 Jun 2015 14:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 22 Jun 2015 14:20:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>
To: submit@bugs.x2go.org
Subject: Sessions started with windows x2goclient can not be resumed with linux client
Date: Mon, 22 Jun 2015 16:19:24 +0200
[Message part 1 (text/plain, inline)]
Package: nx-libs

Sessions which are started with the current windows(8.1pro) x2goclient
can not be resumed with the current linux(ubuntu14.04) client

error message displayed on the client (always english - locale of client
or server doesn't matter):
Failed to restore all the required visuals.
Can't resume the NX session on this display.

and then the nxproxy-process hangs forever - the user just gets a gray
screen



from the session.log of the user on the server:
nxagentInitAndCheckVisuals: New visuals don't match with old visuals.



Kind regards

 Florian Wicke

Hetzner Online AG
Industriestr. 25
91710 Gunzenhausen / Germany
Tel: +49 9831 505-187
Fax: +49 9831 505-387
florian.wicke@hetzner.de
www.hetzner.com

Register Court: Registergericht Ansbach, HRB 3204
Management Board: Dipl. Ing. (FH) Martin Hetzner
Chairwoman of the Supervisory Board: Diana Rothhan

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'nx-libs' to 'x2goclient'. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 26 Jun 2015 20:55:02 GMT) Full text and rfc822 format available.

Marked as found in versions 4.0.4.0. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 26 Jun 2015 20:55:02 GMT) Full text and rfc822 format available.

Merged 891 896 Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 26 Jun 2015 20:55:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#891; Package x2goclient. (Sun, 28 Jun 2015 00:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 28 Jun 2015 00:55:01 GMT) Full text and rfc822 format available.

Message #16 received at 891@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: 891@bugs.x2go.org
Subject: I have a fix for VcXsrv, but it needs discussion
Date: Sat, 27 Jun 2015 20:54:07 -0400
So here is the fix for VcXsrv (which is bundled with X2Go Client) that
I ported from Cygwin XWin:
https://github.com/ArcticaProject/vcxsrv/commit/d45db884b19a0f081fcd259e3b338a13378c936d

Here is a test build of VcXsrv :
https://github.com/ArcticaProject/vcxsrv/releases/tag/1.17.0.0-2-bug4test1
(I do not make a test build of X2Go Client available yet, so you'll
have to test it via the "X.Org Server settings" GUI in X2Go Client.)

And here is the issue against VcXsrv (X2Go/Arctica Builds):
https://github.com/ArcticaProject/vcxsrv/issues/4

Read that issue for more details on why this bug happens with X2Go
(and its component nx-libs.) Discussion over the details of the patch
should be discussed there (or in a PR.)

However, If I release X2Go Client 4.0.4.1 (or an update to 4.0.4.0)
with this fix, then sessions started on X2Go Client for Windows
4.0.4.0-2015.06.24 and earlier can not be resumed on the new version.
This could be very disruptive to users.

Does anyone have any thoughts on this dilemma?

-Mike#2


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and filed, but not forwarded.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Sat, 18 Jul 2015 20:40:02 GMT) Full text and rfc822 format available.


Message #19 received at 891-quiet@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: 891-quiet@bugs.x2go.org
Date: Sat, 18 Jul 2015 22:36:53 +0200
[Message part 1 (text/plain, inline)]
Control: merge -1 696



[signature.asc (application/pgp-signature, attachment)]

Marked as found in versions 4.0.3.1-1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 18 Jul 2015 20:45:02 GMT) Full text and rfc822 format available.

Merged 696 891 896 Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 18 Jul 2015 20:45:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sun, 26 Jul 2015 18:40:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.4.1. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sun, 26 Jul 2015 18:40:03 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Tue, 28 Jul 2015 02:55:10 GMT) Full text and rfc822 format available.

Notification sent to Florian Wicke - Hetzner Online AG <florian.wicke@hetzner.de>:
Bug acknowledged by developer. (Tue, 28 Jul 2015 02:55:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 25 Aug 2015 05:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu May 23 23:04:10 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.